<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">
<head>
<title>User Detail</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<!-- BOOTSTRAP META -->
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<title>Active Users</title>

<!-- BASIC CSS -->
<link rel="stylesheet" href="/css/basic.css">

<!-- BOOTSTRAP CSS -->
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
	integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
	crossorigin="anonymous">
	
<link rel="icon" type="image/png" href="/images/favicon-32x32.png">

<!-- LOTTIE -->
<!-- <script type="text/javascript" -->
<!-- 	src="https://cdnjs.cloudflare.com/ajax/libs/bodymovin/4.13.0/bodymovin.min.js"></script> -->

<script type="text/javascript"
	src="https://cdnjs.cloudflare.com/ajax/libs/bodymovin/5.7.6/lottie.min.js"></script>

</head>
<body>
	<!-- ------------------- -->
	<!-- NAVIGATION -------- -->
	<!-- ------------------- -->

	<nav class="navbar navbar-expand-sm navbar-dark bg-dark">
		<a href="/"><img id="logo" class="navbar-brand" height="80px"
			src="/images/SimpleBookLogo.png"></a>
		<button id="followBtn" class="navbar-toggler" data-toggle="collapse"
			data-target="#navbarMenu">
			<span class="navbar-toggler-icon"></span>
		</button>
		<div class="collapse navbar-collapse" id="navbarMenu">
			<!-- <ul class="navbar-nav ml-auto">
				<li class="nav-item"><a href="#" class="nav-link">Users</a></li>
				<li class="nav-item"><a href="#" class="nav-link">Products</a>
				</li>
			</ul> -->
			<a href="/logout" class="btn btn-primary btn-lg active ml-auto"
				role="button" aria-pressed="true">Log Out</a>
		</div>

	</nav>

	<!-- ------------------- -->
	<!-- edit profile form-- -->
	<!-- ------------------- -->
	
	<p class="welcome text-center"
		th:text="${'Posts from' + ' ' + user.firstName + ' ' + user.lastName}"></p>
	<div class="text-center">
		<button class="btn" th:text="${follower} ? 'unfollow' : 'follow'"
			th:classappend="${follower} ? btn-success" id="follow">follow</button>
	</div>
	<hr>
	<div th:each="post : ${post}" class="mb-4">
		<div class="card" style="width: 50rem; margin: 0 auto">
			<div class="card-header" th:text="${post.getSummary()}"></div>
			<div class="card-body">
				<!-- LOTTIE TEST -->
				<blockquote class="blockquote mb-0">
					<p th:text="${post.getContent()}"></p>
					<!-- 					<div class="float-right animationWindow" th:id="${post.getId()}"></div> -->
					<button type="button" class="btn float-right like"
						th:id="${post.getId()}">LIKE &#128077;</button>

					<footer class="blockquote-footer" th:text="${post.getDate()}"></footer>
				</blockquote>
			</div>
		</div>
	</div>


	<!-- 	Bootstrap js -->
	<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
		integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
		crossorigin="anonymous"></script>
	<script
		src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
		integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
		crossorigin="anonymous"></script>
	<script
		src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
		integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
		crossorigin="anonymous"></script>

	<!-- MAIN JS -->
	<script src="/js/main.js"></script>

	<!-- 	AJAX -->
	<script
		src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>


	<!-- 	AjaxJS -->
	<script src="/js/mainAjax.js"></script>

	<!-- adds the CSS Class on like Button if user already liked the post	 -->
	<script th:inline="javascript">
	$(document).ready(function()
			{
// 				implents like functinality with button listeners --> mainAjax
				like();
				
				follow();
				
				var likes = /*[[${likes}]]*/ {};
				var aUser = parseInt(getCookie("id"));
				var userLikes = likes.filter(userLikes => userLikes.userLiked === aUser);

				
				userLikes.forEach(addCssClass);

				function addCssClass(item, index)
				{
					$('#' + item.postId).addClass('btn-success');

				}

			});
	</script>
</body>
</html>